
Katello - Bug #4795

Passing incorrect organization 'id' to product create should return 404

03/24/2014 12:45 PM - Adam Saleh

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Description of problem:

Creating product by api doesn't work

Version-Release number of selected component (if applicable): {"name":"katello","version":"1.5.0-14.201403231838gitb03147e.el6"}

How reproducible:

Foreman with kattello installed required.

Steps to Reproduce:

curl -X POST -k -u admin:changeme -H "Content-Type: application/json"

'https://qetello01.usersys.redhat.com/katello/api/v2/products/' -d '{"organization_id": 1, "description": "test-prod-desc", "name":

"test-product1"}'

Actual results: {"displayMessage":"PGError: ERROR: operator does not exist: character varying = integer\nLINE 1:

...\"taxonomies\".\"deletion_task_id\" IS NULL AND (name = 1 or lab...\n ^\nHINT: No operator matches the given name and

argument type(s). You might need to add explicit type casts.\n: SELECT \"taxonomies\".* FROM \"taxonomies\" WHERE

\"taxonomies\".\"type\" IN ('Organization') AND \"taxonomies\".\"deletion_task_id\" IS NULL AND (name = 1 or label = 1) ORDER BY

title LIMIT 1","errors":["PGError: ERROR: operator does not exist: character varying = integer\nLINE 1:

...\"taxonomies\".\"deletion_task_id\" IS NULL AND (name = 1 or lab...\n ^\nHINT: No operator matches the given name and

argument type(s). You might need to add explicit type casts.\n: SELECT \"taxonomies\".* FROM \"taxonomies\" WHERE

\"taxonomies\".\"type\" IN ('Organization') AND \"taxonomies\".\"deletion_task_id\" IS NULL AND (name = 1 or label = 1) ORDER BY

title LIMIT 1"]}

Expected results:

200 response accomanied with product hash

Additional info:

Same error when creating provider.

Associated revisions

Revision 43a8c4d1 - 04/14/2014 05:36 PM - Adam Price

fixes #4795 - sanitize 'organization_id' param to a string, BZ 1079981

Revision 72bb06ec - 04/14/2014 09:24 PM - Adam Price

Merge pull request #3978 from komidore64/bz1079981

fixes #4795 - sanitize 'organization_id' param to a string, BZ 1079981

History

#1 - 03/24/2014 12:47 PM - Adam Saleh

In bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1079981

#2 - 03/26/2014 09:20 PM - Bryan Kearney
https://bugzilla.redhat.com/show_bug.cgi?id=1079981


@Dcleal is this the "you need to use locations" issue?

#3 - 03/27/2014 08:38 AM - Dominic Cleal

Bryan Kearney wrote:

@Dcleal is this the "you need to use locations" issue?

 No, that's an error on the organisation edit page.  I've no idea what this is.

#4 - 03/28/2014 12:39 AM - Justin Sherrill

It looks like this is simply due to you passing the org id for Organization id instead of the org label (which sounds really silly).

I get the same error when specifying organization_id: 1, but if i use:

'{"organization_id": "ACME_Corporation", "description": "test-prod-desc", "name": "test-product1"}'

It seems to work fine.  However, i would expect the org lookup to return a 404 versus this strange error.

#5 - 03/28/2014 12:41 AM - Justin Sherrill

- Subject changed from Creating product with api doesn't work. to Passing incorrect organization 'id' to product create should return 404

#6 - 03/28/2014 01:01 AM - Justin Sherrill

- Status changed from New to Assigned

- Assignee set to Justin Sherrill

#7 - 04/14/2014 09:53 PM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:43a8c4d13b89967fc735d1ebc856fe2195be3946.

#8 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#9 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

